//filename_left = 0;
filename_right = 0;


load_general_settings(input_string);

//if(filename_left) free(filename_left);
//if(filename_right) free(filename_right);

//display_data1 = 0; // if open fails error report goes here

//display_data2 = 0;
//display_data3 = 0;
//pgm_buffer_left = 0;
//pgm_buffer_right = 0;

/* open files */
/* open the pgm format file */
if(fptr1) fclose(fptr1);
fptr1 = fopen(filename_left, "rb");
if(!fptr1)
	{
	fprintf(stdout,\
	"xmars3d: could not open left file %s for read\n", filename_left);

	strerror(errno);
	return 0;
	}
if(pgm_buffer_left) free(pgm_buffer_left);

if(filename_right)
	{
	/* open the second pgm format file */
	if(fptr2) fclose(fptr2);
	fptr2 = fopen(filename_right, "rb");
	if(!fptr2)
		{
		fprintf(stdout,\
		"xmars3d: could not open right file %s for read\n", filename_right);

		strerror(errno);
		return 0;
		}
	if(pgm_buffer_right) free(pgm_buffer_right);
	}

if(display_data1) free(display_data1);
display_data1 = malloc(display_width * display_height * 4);
if(! display_data1)
	{
	fprintf(stderr, "malloc display_data1 failed, aborting\n");

	exit(1);
	}

if(display_data2) free(display_data2);
display_data2 = malloc(display_width * display_height * 4);
if(! display_data2)
	{
	fprintf(stderr, "malloc display_data2 failed, aborting\n");

	exit(1);
	}

if(display_data3) free(display_data3);
display_data3 = malloc(display_width * display_height * 4);
if(! display_data3)
	{
	fprintf(stderr, "malloc display_data3 failed, aborting\n");

	exit(1);
	}

if(debug_flag)
	{
	fprintf(stderr, "display_data1=%p display_data2=%p display_data3=%p\n",
	display_data1, display_data2, display_data3);
	}

fill_gamma_table(gamma_factor);

/* no headers read yet */
header_size_left = 0;
header_size_right = 0;
header_size_red = 0;
header_size_green = 0;
header_size_blue = 0;

/* get initial view sizes */
view_width = display_width * zoom_factor;
view_height = display_height * zoom_factor;
view_size = view_height * view_width;

/* get left stereo picture size */
pgm_buffer_left =\
	pgm_and_ppm_to_char(fptr1, &x_size, &y_size, 0, 0, view_width, view_height,\
	&header_size_left, &input_image_bytes_per_color_left);

if(filename_right)
	{
	pgm_buffer_right =\
		pgm_and_ppm_to_char(fptr2, &x_size2, &y_size2, 0, 0, view_width, view_height,\
		&header_size_right, &input_image_bytes_per_color_right);
	}

if(debug_flag)
	{
	fprintf(stderr,\
	"pgm_buffer_left=%p pgm_buffer_right=%p x_size=%d y_size=%d\n",\
	pgm_buffer_left, pgm_buffer_right, x_size, y_size);
	}

/* zoom stuff */
ptri = pgm_buffer_left;
ptro = display_data1;
zoom_x_size = x_size;
image_bytes_per_color = input_image_bytes_per_color_left;
#include "zoom.c"
/* end zoom stuff */

if(filename_right)
	{
	/* zoom stuff */
	ptri = pgm_buffer_right;
	ptro = display_data2;
	zoom_x_size = x_size2;
	image_bytes_per_color = input_image_bytes_per_color_right;	
	#include "zoom.c"
	/* end zoom stuff */

	} /* end if filename_right */

